{% extends "@Paa/Default/entityFormBaseGrille.html.twig" %}
{#Partie formulaire avec les champs de la table caisses#}

{#Partie grille des contacts#}
{% block datatable_title %}
    <th id="iidIntervenantsContrats" style="display: none">Id</th>
    <th id="ccontrat">Contrat</th>
    <th id="ddebut">Début</th>
    <th id="dfin">Fin</th> 
    <th id="bnb_h_sem">H/sem</th> 
    <th id="bnb_h_mois">H/mois</th>
    <th id="bnb_h_annee">H/ans</th>
    <th id="iintervenant">Intervenant</th>
    <th id="ietablissement">Etablissement</th>
{% endblock %}
{% block datatable_body %}
    {% set iRow = 0 %}
    {% for row in poEntité.listeContrats %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidIntervenantsContrats" style="display: none" name="{{ row.iidIntervenantsContrats }}"> {{ row.iidIntervenantsContrats }} </td>
            <td id ="row_{{ iRow|raw }}_ccontrat"> {{ row.ccontrat}} </td>
            <td id ="row_{{ iRow|raw }}_ddebut"> {{ row.ddebut|date('d/m/Y')}} </td> 
            <td id ="row_{{ iRow|raw }}_dfin"> {{ row.dfin|date('d/m/Y')}} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_sem"> {{ row.bnbhsem}} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_mois"> {{ row.bnbhmois }} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_annee"> {{ row.bnbhannee }} </td>
            <td id ="row_{{ iRow|raw }}_iintervenant"> {{ row.iintervenant.cnom }} </td>
			{% if row.ietablissement is null %}
				<td id ="row_{{ iRow|raw }}_ietablissement">[non précisé]</td>
			{% else %}
				<td id ="row_{{ iRow|raw }}_ietablissement"> {{ row.ietablissement.cnom }} </td>
			{% endif %}
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}
	
{#Formulaire de saisie de l'entité#}
{% block postGrille %}
<div id="formulaire_DataTable_intervenantsContrats" class="spliteB"></div>
{% endblock %}
{% block scriptSplit %}
    
       {# Surcharge du script du split entre contrat et sont form#} 
    //MC 20200908 DEBUT
    
//MC Pour definir la taille du slider recuperation de la hauteur de la div parent 
{#var hauteurDivTab = document.getElementById(formulaire_detail_compteurs).scrollHeight;#}
{#var hauteurDivTab = window.getComputedStyle(formulaire_detail_intervenants_table);#}
{#document.getElementById("formulaire_DataTable_intervenantsContrats").height = $('#resize_wrapper').height();#}

{#var tmphauteurDivTab = $('#resize_wrapper').height();#}
{#debugger;#}
{#const gutterStyle = dimension => ({
  'flex-basis': `${hauteurDivTab}px`,
}); #}

    Split(['.spliteA', '.spliteB'], {
        gutterSize: 5,
        sizes: [75, 25],
        minSize: [300, 350],
        
        
    });
{#tentative pour que l'edition form occupe juste la place de la grille avec un scrole bar#}
{#document.getElementById("formulaire_DataTable_intervenantsContrats").style.height = $("#formulaire_detail_intervenants").height() + "px";
document.getElementById("formulaire_DataTable_intervenantsContrats").style.overflowY = "auto";#}

//MC 20200908
 
{% endblock %}
